cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrading Thingworx 9.1.0 to 9.2.3

newieKek
12-Amethyst

Upgrading Thingworx 9.1.0 to 9.2.3

Hello all,

I hope to seek for some advice on upgrading the TWX version from 9.1.0 to 9.2.3 with Thingworx foundation for postgresql window installer. I read that i am able to use the Thingworx foundation to upgrade. 

 

My current version of the TWX is as per followed:

PostgreSql: 12.4

Apache Tomcat: 9.037

jre: 11.0.9

 

I checked with the PTC Release advisor that to have 9.2.3 pre-requisition is:

PostgreSql: 13

Apache Tomcat:9:052.

 

I had using the Thingworx Foundation installer to attempt to install...it immediate show the following message.

newieKek_0-1634633704159.png

can anyone advise a proper steps to upgrade without have to affect my projects files in my existing Twx.?

if i uninstall the existing version it will be wipe off, so it like a fresh installation, fresh database, everything new.

is there anyway to upgrade "smoothly".....

 

Any advice?

Thank you in advance,

Best regards

Newbie kek

 

 

1 ACCEPTED SOLUTION

Accepted Solutions
slangley
23-Emerald I
(To:newieKek)

Hi @newieKek.

 

I would use the manual upgrade procedure since you're having issues with the installer.  Here's the link to the instructions.

 

If you still have issues, please let us know.  We'll be happy to open a case on your behalf for a Support Services engineer to assist with the upgrade.

 

Regards.

 

--Sharon

View solution in original post

5 REPLIES 5
slangley
23-Emerald I
(To:newieKek)

Hi @newieKek 

 

Have you reviewed these instructions?  The PostgreSQL upgrade needs to be completed last.

 

Regards.

 

--Sharon

newieKek
12-Amethyst
(To:slangley)

Hi Sharon,

 

Yes, i had attempted, difference scenario:

Scenario1:

  1. I meet the basic hardware requirement and guide mentioned.
  2. I did not update the Java as my 9.1.0 is using Java 11, referencing to below 
    Article - CS348198
  3. newieKek_1-1634696452947.png
  4. I did not upgrade the postgreSQL
  5. newieKek_0-1634695757918.png
  6. i stop all services, and i run the installation, the message appear.

Scenario 2:

  1. I uninstall Tomcat. 
  2. I run the TWX foundation installer, the message appear

Scenario 3:

  1. I upgrade the PostgreSQL to version 13. 
  2. I run the TWX foundation installer, the message appear.

Scenario 4.

  1. I upgrade the PostgreSQL to version 13. 
  2. I uninstall Tomcat
  3. I run the TWX foundation installer, the message appear.

For Scenario 2,3 & 4, i stopped all the tomcat services. before i run the installer.

 

If i uninstall the TWX foundation for 9.1.0, that is like a fresh installation, as i need to configure all over again.

Is there and documentation on what will be the appropriate step to take..?

 

Hope someone can advise me. 

Thank you!

Newbie kek.

(My installation is in an image, where i can revert my attempted.)

slangley
23-Emerald I
(To:newieKek)

Hi @newieKek.

 

I would use the manual upgrade procedure since you're having issues with the installer.  Here's the link to the instructions.

 

If you still have issues, please let us know.  We'll be happy to open a case on your behalf for a Support Services engineer to assist with the upgrade.

 

Regards.

 

--Sharon

View solution in original post

slangley
23-Emerald I
(To:slangley)

Hi @newieKek.

 

How is your upgrade going?  Did you find the manual procedures helpful?

 

Regards.

 

--Sharon

newieKek
12-Amethyst
(To:slangley)

Thank you Sharon,

 

Using the manual installation is more effective for me. just need to use the update 9.1 to 9.2, and was upgraded! 


Thank you

newbie kek

Announcements